UrlMappingInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Interface UrlMappingInfo

    public interface UrlMappingInfo

Defines that data that was produced when matching a URI with a UrlMapping instance.

Authors:
  Graeme Rocher

See Also:
  UrlMapping

Since:
  0.5

Method Summary
`void` | `configure(GrailsWebRequest webRequest)` Configure this UrlMappingInfo the for the given GrailsWebRequest
`java.lang.String` | `getActionName()` The name of the action that the URL mappping maps to
`java.lang.String` | `getControllerName()` The name of the controller that the URL mapping maps to
`java.lang.String` | `getHttpMethod()` The HTTP method that this URL mapping maps to
`java.lang.String` | `getId()` The id part of the URL mapping if any
`java.lang.String` | `getNamespace()` @return the namespace of the corresponding controller, null if none was specified
`java.util.Map` | `getParameters()` The parameters that were extracted from the URI that was matched
`java.lang.String` | `getPluginName()` The name of the plugin that this UrlMappingInfo maps to
`java.lang.Object` | `getRedirectInfo()` The redirect information should be a String or a Map.
`java.lang.String` | `getURI()` The URI to map to.
`java.lang.String` | `getVersion()` @return The version of the API (for REST)
`java.lang.String` | `getViewName()` The name of the view that the URL mappping maps to
`boolean` | `isParsingRequest()` Returns true of the request body should be parsed.

Method Detail

### configure

    public void configure(GrailsWebRequest webRequest)

  Configure this UrlMappingInfo the for the given GrailsWebRequest
  Parameters:
    `webRequest` - The GrailsWebRequest instance

### getActionName

    public java.lang.String getActionName()

  The name of the action that the URL mappping maps to
  Returns:
    The name of the action or null if not known

### getControllerName

    public java.lang.String getControllerName()

  The name of the controller that the URL mapping maps to
  Returns:
    The name of the controller

### getHttpMethod

    public java.lang.String getHttpMethod()

  The HTTP method that this URL mapping maps to
  Returns:
    The http method

### getId

    public java.lang.String getId()

  The id part of the URL mapping if any
  Returns:
    The id or null

### getNamespace

    public java.lang.String getNamespace()

  Returns:
    the namespace of the corresponding controller, null if none was specified

### getParameters

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.Map getParameters()

  The parameters that were extracted from the URI that was matched
  Returns:
    A Map of parameters

### getPluginName

    public java.lang.String getPluginName()

  The name of the plugin that this UrlMappingInfo maps to
  Returns:
    The plugin name

### getRedirectInfo

    public java.lang.Object getRedirectInfo()

  The redirect information should be a String or a Map. If it is a String that string is the URI to redirect to. If it is a Map, that Map may contain any entries supported as arguments to the dynamic redirect(Map) method on a controller.
  Returns:
    redirect information for this url mapping, null if no redirect is specified

### getURI

    public java.lang.String getURI()

  The URI to map to. Note when the URI is specified it overrides any explicit controller/action/id mappings. In other words you can either specify the URI or the controller/action/id, but not both
  Returns:
    The URI to use

### getVersion

    public java.lang.String getVersion()

  Returns:
    The version of the API (for REST)

### getViewName

    public java.lang.String getViewName()

  The name of the view that the URL mappping maps to
  Returns:
    The name of the view or null if not known

### isParsingRequest

    public boolean isParsingRequest()

  Returns true of the request body should be parsed. This typically happens in the case of REST requests that parse JSON or XML packets
  Returns:
    true if it is

Groovy Documentation